﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Presentation.Commands;

namespace SLAttachedBehavior
{
    public partial class MainPage : UserControl
    {
        public ICommand TextChangedCommand { get; set; }

        public MainPage()
        {
            InitializeComponent();
            
            TextChangedCommand = new DelegateCommand<object>(OnTextChanged, arg => true);

            this.button2.DataContext = TextChangedCommand;
        }

        public void OnTextChanged(object obj)
        {
            MessageBox.Show("Afetr MouseMove");
        }
    }
}
